package lib.observable;

using tink.CoreApi;

class DummyObservable<T> implements IObservable<T> {
	private var value:T;

	private function new(value:T) {
		this.value = value;
	}

	public function set(value:T) {
		throw new haxe.exceptions.NotImplementedException();
	}

	public function get():T {
		return this.value;
	}

	public function subscribe(callback:Callback<T>):CallbackLink {
		return null;
	}

	public static function dummy<T>(value:T):IObservable<T> {
		return new DummyObservable<T>(value);
	}
}
