package bin.debug;

import bin.debug.DebugRPC.DebugRPCImpl;
import macros.rpc.RPC;
import kernel.ps.ProcessHandle;
import kernel.ps.IProcess;

#if debug
@:build(macros.Binstore.includeBin("Debug SRV", ["dbg-srv", "debug-srv"]))
#end
class DebugService implements IProcess implements DebugRPC {
	private var handle:ProcessHandle;

	public function new() {}

	public function run(handle:ProcessHandle) {
		this.handle = handle;

		kernel.net.Net.registerProto("debug", (pack) -> {
			DebugRPCImpl.handlePackage(this, pack);
		});
	}

	public function addNumber(a:Int, b:Int):Int {
		return a + b;
	}
}
